Subject: Re: Poison Ivy.... Preventative?

From: [email-masked] (ChenueC)
Date: 7 Oct 1995 09:58:57 -0400

I have a constant problem with Poion Oak - my dog plays in it - I play
with the dog, etc. I have found Rhus Tox in 30x a homeopathic remedy to be
the best of everything ( and I have tried mega numbers of things) for
immediate relief. I also sassafrass tea when I can find it but any blood
cleanser herb would do since the toxin is in the blood. Finally and you
will find this only in very old folk remedy books - I bathe in very hot
water which gets very intense at first but stops the itching for a long
time. I follow this bath by putting on aloe vera gel. I do the bathing as
often as I need to.  I have had the rash all over my face and in my eyes
and have had it relieved within 12 hours using this combination.
Wishing you blessed relief, Chenue
Optimum Natural Foods - Napa CA